These are chat archives for jescalan/roots

22nd
Dec 2015
Martin Berggren
@marthings
Dec 22 2015 07:48
@hhsnopek Is it supposed to be updated (roots new with roots-base as default doesnt give me anything from the new theme) or do i have to update the theme manually? Tried to install/update it with roots template add base but it gives me this error Error: your template needs a name!
Jeff Escalante
@jescalan
Dec 22 2015 08:55
@tenzan awesome! yup should be just that easy. for mixing jade and ejs you can do it, but you cannot for example have a jade layout with an ejs template bc the two dont work that way
@markerx good question! no timeline yet, but it will be a while. for the next 2-3 months I'm working very much part time, after that I should be able to give a more accurate estimate. Either way it won't be a total reboot by any means. I'm going to keep as much of it the same as possible, just swap out the internals. If/when it happens roots v3 will continue to be supported, and there will be a detailed migration guide
@Nauz I also really like the concept of posthtml, would love to have it be supported. It should be quite easy to add to accord. You interested in trying out a pull request? :)
@core77 you should be able to just install it however you wish and include it via a .scss file using the correct path. No magic at all happening with the assets, just work with them as usual, roots will compile them for you
@marthings if you want to use the carrot fork as the default, you should first add the template using roots tpl add then use roots tpl default to set it. If you run any roots command without additional arguments, it will show you the syntax expected with the command
much <3 to all!
Martin Berggren
@marthings
Dec 22 2015 09:34
@jenius @hhsnopek Got it added now. Throws me an error at "Do you require a grid framework?"
? Do you require a grid framework? Yes


readline.js:924
            throw err;
            ^

Error: You must provide a `choices` parameter
Henry Snopek
@hhsnopek
Dec 22 2015 09:55
@marthings that's very odd, as the grid question is a confirm, not a choices type of question. - instead of providing Yes, try Y/y
Chris
@core77
Dec 22 2015 10:44
@hhsnopek @marthings same here. I tried 'Y' and 'y' but always the error "You must provide a 'choices' parameter
Martin Berggren
@marthings
Dec 22 2015 11:15
@hhsnopek i have :/ Im typing Y but the Yes is autofilled for me after/in the error message
Henry Snopek
@hhsnopek
Dec 22 2015 19:16
hmm odd, what version of node are you running?
Chris
@core77
Dec 22 2015 19:21
@hhsnopek 4.2.3
Henry Snopek
@hhsnopek
Dec 22 2015 19:24
i'll take a look
Nauz
@Nauz
Dec 22 2015 19:25
@hhsnopek and @core77 , I found the same error. And my version of node is 5.1.1
Henry Snopek
@hhsnopek
Dec 22 2015 19:30
whoa, switched node versions and I got that error as well
I'll look into this, sorry guys for the teaser
Henry Snopek
@hhsnopek
Dec 22 2015 19:44
figured it out, waiting for tests to pass on travis, I'll ping you guys when it's merged into master
Henry Snopek
@hhsnopek
Dec 22 2015 23:04
@Nauz @core77 @marthings I've updated and tested this locally on node 4 & 5 latest - it's all working on my end